Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::PortForwardingAutoSetupStatus Struct Reference

The status and expansion units of a port-forwarding auto-setup run. More...

`import <PortForwardingAutoSetup.idl;`

## Public Attributes
time | startTime
| UNIX timestamp (UTC) when the auto-setup was started.
int | remainingExpansionUnits
| Number of expansion units that still need to be discovered.
PortForwardingAutoSetupRunningState | runningState
| The state of the last available auto-setup run.
map< int, PortForwardingAutoSetupExpansionUnit > | expansionUnits
| Results per expansion unit, mapped by their node index.

## Detailed Description

The status and expansion units of a port-forwarding auto-setup run.

Definition at line 36 of file PortForwardingAutoSetup.idl.

## Member Data Documentation

## ◆ expansionUnits

map<int, PortForwardingAutoSetupExpansionUnit> net::PortForwardingAutoSetupStatus::expansionUnits

Results per expansion unit, mapped by their node index.

Definition at line 40 of file PortForwardingAutoSetup.idl.

## ◆ remainingExpansionUnits

int net::PortForwardingAutoSetupStatus::remainingExpansionUnits

Number of expansion units that still need to be discovered.

Definition at line 38 of file PortForwardingAutoSetup.idl.

## ◆ runningState

PortForwardingAutoSetupRunningState net::PortForwardingAutoSetupStatus::runningState

The state of the last available auto-setup run.

Definition at line 39 of file PortForwardingAutoSetup.idl.

## ◆ startTime

time net::PortForwardingAutoSetupStatus::startTime

UNIX timestamp (UTC) when the auto-setup was started.

Definition at line 37 of file PortForwardingAutoSetup.idl.

The documentation for this struct was generated from the following file:

- PortForwardingAutoSetup.idl